<?php
#############################################################
# Project:      bCounter                                    #
# File:         details_keywords.php                        #
# Decription:   statistics of keywords
#               used on search engines to find your site
#                                                           #
# Copyright (c) Alexander Bondar (http://bondar.de/)        #
#############################################################

    $strTitle .= ' | Details | Alle Suchbegriffe';

    $strDivBody .= '<h2>Diagramm</h2>';
    $strDivBody .= '<div class="table">';
    $strDivBody .= '<img src="./'.$bCounter->get_graph_name( "keywords" ).'" width="800" height="300" alt="Alle Suchbegriffe" />';
    $strDivBody .= '</div>';

    $strDivBody .= '<h2>Charts</h2>';

    $strSQLstring = "SELECT count(*) FROM ".$bCounter_dbPrefix."suchbegriffe";
    $iBesucherGesamt = mysql_result( $bCounterDB->query($strSQLstring), 0, 0 );
    $strSQLstring = "SELECT *, count(suchbegriff) AS anzahl FROM ".$bCounter_dbPrefix."suchbegriffe GROUP BY suchbegriff ORDER BY anzahl DESC";
    $SQLresult_all = $bCounterDB->query($strSQLstring);

    $strDivBody .= '<table>'."\n";
    $strDivBody .= '<tr><th>#</th><th>Suchbegriff</th><th>Anzahl</th><th>Anteil</th></tr>'."\n";
    for ( $i = 0; $i < mysql_num_rows($SQLresult_all); $i++ ) {
        $strSuchbegr = mysql_result($SQLresult_all, $i, "suchbegriff");
        $iBesucher   = mysql_result($SQLresult_all, $i, "anzahl");
        $strDivBody .= '<tr>'."\n";
        $strDivBody .= '<td class="right">'.($i+1).'.</td>'."\n";
        $strDivBody .= '<td>'.$strSuchbegr.'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl($iBesucher).'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl(100*$iBesucher/$iBesucherGesamt, 2).'%</td>'."\n";
        $strDivBody .= '</tr>'."\n";
    }
    $strDivBody .= '<tr>'."\n";
    $strDivBody .= '<td></td>'."\n";
    $strDivBody .= '<td class="right"><i>'.mysql_num_rows($SQLresult_all).' gesamt</i></td>'."\n";
    $strDivBody .= '<td class="right">'.zahl($iBesucherGesamt).'</td>'."\n";
    $strDivBody .= '<td class="right"></td>'."\n";
    $strDivBody .= '</tr>'."\n";
    $strDivBody .= '</table>'."\n";
?>